Semantic Scholar integration: operations for AI agents
Semantic Scholar connects to Type.com as an integration. This page lists the 20 operations documented for Claude and Codex in Type.com: 20 read.
About Semantic Scholar
Semantic Scholar is an AI-powered academic search engine that helps researchers discover and understand scientific literature
Categories: Analytics & Data
How to connect Semantic Scholar to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
20 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
Author Data
- Read
Get details for multiple authors at once
Fields is a single-value string parameter, not a multi-value one. It is a query parameter, not to be submitted in the POST request's body.
- Read
Search for authors by name
Specifying papers fields in the request will return all papers linked to each author in the results. Set a limit on the search results to reduce output size and latency.
- Read
Details about an author
Examples: https://api.semanticscholar.org/graph/v1/author/1741101 Returns the author's authorId and name. https://api.semanticscholar.org/graph/v1/author/1741101?fields=url,papers Returns the author's authorId, url, and list of papers. Each paper has its paperId plus its title.
- Read
Details about an author's papers
Fetch the papers of an author in batches. Only retrieves the most recent 10,000 citations/references for papers belonging to the batch.
Paper Data
- Read
Suggest paper query completions
To support interactive query-completion, return minimal information about papers matching a partial query Example: https://api.semanticscholar.org/graph/v1/paper/autocomplete?query=semanti
- Read
Get details for multiple papers at once
Fields is a single-value string parameter, not a multi-value one. It is a query parameter, not to be submitted in the POST request's body.
- Read
Paper relevance search
Examples: https://api.semanticscholar.org/graph/v1/paper/search?query=covid+vaccination&offset=100&limit=3 Returns with total=576278, offset=100, next=103, and data is a list of 3 papers. Each paper has its paperId and title. https://api.semanticscholar.org/graph/v1/paper/search?
- Read
Paper bulk search
Behaves similarly to /paper/search , but is intended for bulk retrieval of basic paper data without search relevance: Text query is optional and supports boolean logic for document matching. Papers can be filtered using various criteria.
- Read
Paper title search
Behaves similarly to /paper/search , but is intended for retrieval of a single paper based on closest title match to given query.
- Read
Details about a paper
Examples: https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b Returns a paper with its paperId and title.
- Read
Details about a paper's authors
Examples: https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/authors Returns with offset=0, and data is a list of all 3 authors.
- Read
Details about a paper's citations
Fetch details about the papers that cite this paper (i.e. papers in whose bibliography this paper appears) Examples: Let's suppose that the paper in the examples below has 1600 citations...
- Read
Details about a paper's references
Fetch details about the papers cited by this paper (i.e. appearing in this paper's bibliography) Examples: Let's suppose that the paper in the examples below has 1600 references...
Snippet Text
- Read
Text snippet search
Return the text snippets that most closely match the query. Text snippets are excerpts of approximately 500 words, drawn from a paper's title, abstract, and body text, but excluding figure captions and the bibliography.
Paper Recommendations
- Read
Get recommended papers for lists of positive and negative example papers
POST /papers/
- Read
Get recommended papers for a single positive example paper
GET /papers/forpaper/{paper_id}
Incremental Updates
- Read
Download Links for Incremental Diffs
Full datasets can be updated from one release to another to avoid downloading and processing data that hasn't changed. This method returns a list of all the "diffs" that are required to catch a given dataset up from its current release to a newer one.
Release Data
- Read
List of Available Releases
Releases are identified by a date stamp such as "2023-08-01". Each release contains full data for each dataset.
- Read
List of Datasets in a Release
Metadata describing a particular release, including a list of datasets available.
- Read
Download Links for a Dataset
Datasets are partitioned and stored on S3. Clients can retrieve them by requesting this list of pre-signed download urls and fetching all the partitions.
No operations match.
See How connections work for access and permissions, or browse all integrations.